# $Revision: 1.25 $, $Date: 2008/07/27 22:45:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Number
%define		pnam	SpellPolish
Summary:	Number::SpellPolish - spell out number in Polish
Summary(pl.UTF-8):	Number::SpellPolish - wymawianie liczb po polsku
Name:		perl-Number-SpellPolish
Version:	0.7
Release:	4
License:	LGPL 2.1+
Group:		Development/Languages/Perl
Source0:	http://radek.karnet.pl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	47cd0408e40cacab4651dc9ccc988ae1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module provides functionality for spelling out numbers and
prices in Polish language. If you don't speak polish, you probably
won't need it.

This module *is not* a subclass of Number::Spell.

%description -l pl.UTF-8
Ten moduł Perla daje możliwość zapisu liczb i cen w języku polskim.
Nie znającym polskiego ten moduł jest raczej zbędny.

Ten moduł nie jest podklasą Number::Spell.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Number/SpellPolish.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Number-SpellPolish.spec,v $
Revision 1.25  2008/07/27 22:45:24  arekm
- release 4

Revision 1.24  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.22  2004/11/03 22:30:38  paladine
- formatting

Revision 1.21  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.20  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.19  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.18  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/26 23:02:38  ankry
- license fixes and unification

Revision 1.16  2004/04/21 00:10:18  ankry
- ported to new bconds

Revision 1.15  2004/04/15 05:31:32  ankry
- cosmetics, unification

Revision 1.14  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.7  2002/08/06 16:26:50  radek
- removed useless docs, added conditional tests, cleanup
- version 0.7, STBR

Revision 1.6  2002/08/05 18:59:42  marcus
- use new %%doc
- rel.4.

Revision 1.5  2002/07/10 08:48:27  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/04/04 12:00:14  grabba
- added perl-Number-SpellPolish-Autoloader patch
- release 3

Revision 1.3  2002/03/20 08:52:19  qboosh
- pl description, release 2

Revision 1.2  2002/03/19 21:01:45  kloczek
- adapterized, removed LICENSE and few cosmetics.

Revision 1.1  2002/03/19 20:34:45  grabba
- initial release
